## jupytext 1.16.1+ds1

=== debian/changelog ===
jupytext (1.16.1+ds1-2) unstable; urgency=medium

  * d/rules,d/pybuild.testfiles: cleaner way of handling the test data

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 May 2024 17:34:26 +0200

jupytext (1.16.1+ds1-1) unstable; urgency=low

  * Initial release. Closes: #1012388

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 18 Mar 2024 17:24:34 +0000

=== debian/watch ===
version=4
# try also https://pypi.debian.net/jupytext/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=auto \
https://pypi.debian.net/jupytext/jupytext-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jupytext 1.16.4+ds1

=== binder/requirements.txt ===
jupyterlab>=4
notebook>=7
plotly
matplotlib
wordcloud
pandas
wbdata
bash_kernel

=== debian/changelog ===
jupytext (1.16.4+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/watch: add repacksuffix=+ds1
  * debian patch fix_cm_config_py3.13_PR1251.patch applies upstream
    PR#1251 to fix cm_config support for Python 3.13. Closes: #1088367
  * use help2man to provide a man page for jupytext binary
    help2man -N -n ... jupytext > jupytext.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 11:45:03 +0100

=== debian/control ===
Source: jupytext
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-hatchling,
               python3-hatch-jupyter-builder,
               python3-all,
               python3-git <!nocheck>,
               python3-ipykernel <!nocheck>,
               python3-jupyter-client <!nocheck>,
               python3-jupyter-server <!nocheck>,
               python3-nbformat <!nocheck>,
               python3-pytest <!nocheck>,
               python3-yaml <!nocheck>,
               pre-commit <!nocheck>,
               python3-myst-parser <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupytext
Vcs-Git: https://salsa.debian.org/python-team/packages/jupytext.git
Homepage: https://github.com/mwouts/jupytext
Rules-Requires-Root: no

Package: python3-jupytext
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Jupyter notebooks as Markdown documents, Julia, Python or R scripts
 Have you always wished Jupyter notebooks were plain text documents? Wished you
 could edit them in your favorite IDE? And get clear and meaningful diffs when
 doing version control? Then, Jupytext may well be the tool you're looking for!

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=jupytext
export PYBUILD_TEST_ARGS=-rs
# print the skipped tests and why

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	mv debian/python3-jupytext/usr/etc debian/python3-jupytext/etc

=== debian/watch ===
version=4
# try also https://pypi.debian.net/jupytext/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=auto,repacksuffix=+ds1 \
https://pypi.debian.net/jupytext/jupytext-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
